package net.northking.cctp.executePlan.dto.planBatch;

import com.itextpdf.text.Document;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.Rectangle;
import com.itextpdf.text.pdf.PdfPageEvent;
import com.itextpdf.text.pdf.PdfWriter;

/**
 * <p>Title: PageEvent</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/10/5 18:16
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class PageEvent implements PdfPageEvent {
    @Override
    public void onOpenDocument(PdfWriter pdfWriter, Document document) {
    }

    @Override
    public void onStartPage(PdfWriter pdfWriter, Document document) {

    }

    @Override
    public void onEndPage(PdfWriter pdfWriter, Document document) {

    }

    @Override
    public void onCloseDocument(PdfWriter pdfWriter, Document document) {

    }

    @Override
    public void onParagraph(PdfWriter pdfWriter, Document document, float v) {

    }

    @Override
    public void onParagraphEnd(PdfWriter pdfWriter, Document document, float v) {

    }

    @Override
    public void onChapter(PdfWriter pdfWriter, Document document, float v, Paragraph paragraph) {

    }

    @Override
    public void onChapterEnd(PdfWriter pdfWriter, Document document, float v) {

    }

    @Override
    public void onSection(PdfWriter pdfWriter, Document document, float v, int i, Paragraph paragraph) {

    }

    @Override
    public void onSectionEnd(PdfWriter pdfWriter, Document document, float v) {

    }

    @Override
    public void onGenericTag(PdfWriter pdfWriter, Document document, Rectangle rectangle, String s) {

    }
}